### Method

# Foundry VcsBlame query_line

#### Declaration [src]

    FoundryVcsSignature*
    foundry_vcs_blame_query_line (
      FoundryVcsBlame* self,
      guint line
    )

#### Description [src]

Queries the signature of the commit that modified `line`.

#### Parameters

`line`

  Type: `guint`

  The line number, starting from 0.

#### Return value

Type: `FoundryVcsSignature`

A `FoundryVcsSignature` or `NULL` if there is no commit related to the changes on `line`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.